From 9ed2e7b5918dcaace587211c587cd51f887b8add Mon Sep 17 00:00:00 2001
From: Anatoly Lyutin <vostok@etersoft.ru>
Date: Mon, 11 Aug 2008 14:13:27 +0400
Subject: [PATCH] Update frame text after switching maximized mdi children

---
 dlls/user32/mdi.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/dlls/user32/mdi.c b/dlls/user32/mdi.c
index 8bffeb0..ac5ff15 100644
--- a/dlls/user32/mdi.c
+++ b/dlls/user32/mdi.c
@@ -549,8 +549,12 @@ static void MDI_SwitchActiveChild( MDICLIENTINFO *ci, HWND hwndTo, BOOL activate
             LOADETER_FUNC(etersoft_1version);
             if ( etersoft_1version && etersoft_1version() == 7 )
             {
+                HWND    client = GetParent(hwndTo);
+
                 SetWindowLongW( hwndPrev, GWL_STYLE, GetWindowLongW( hwndPrev, GWL_STYLE )&~WS_MAXIMIZE );
                 SetWindowPos( hwndPrev, HWND_BOTTOM, rect.left, rect.top, rect.right-rect.left, rect.bottom - rect.top, SWP_NOACTIVATE );
+
+                MDI_UpdateFrameText( GetParent(client), client, TRUE, NULL );
             }
             else
                 ShowWindow( hwndPrev, SW_RESTORE );
-- 
1.5.4.5.GIT
